Subject: Re: bug#44872: Installer crash: 'uuid->string' is passed #f in lieu of a UUID

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 07 Jun 2021 08:20:17 +0200

Hello David,

> I also just hit this issue while using the graphical installer on a
> machine that previously had Guix installed on it via the shell-driven
> manual installation flow.  I'm working on a video to show how to install
> Guix using the graphical installer so it's a big blocker for me hit this
> seemingly impassable error.

It's great that you are making a video about the installer!

> Let me know what I can do to help diagnose and fix this issue!

The problem here is probably caused by the "free-parted" procedure
returning before all the partitions are properly created by the kernel.

You could maybe try to run a custom installer image with the hideous
attached patch to confirm this theory.

Thanks,

Mathieu